package org.firstinspires.ftc.teamcode;
import com.acmerobotics.roadrunner.Action;
import com.acmerobotics.roadrunner.SleepAction;
import com.acmerobotics.roadrunner.ftc.Actions;
import com.qualcomm.robotcore.eventloop.opmode.Autonomous;
import com.qualcomm.robotcore.eventloop.opmode.OpMode;

import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.subsystem.AutoLine1;
import org.firstinspires.ftc.teamcode.subsystem.AutoLine2;
import org.firstinspires.ftc.teamcode.subsystem.AutoLine3;

@Autonomous(name = "BlueNetAuto", group = "Dev")
public class NetAuto extends OpMode {

    public Follower follower;

    public AutoLine1 myFirstPath = new AutoLine1();
    public AutoLine2 mySecondPath = new AutoLine2();
    public int pathState = 0;
    @Override
    public void init() {
        follower = new Follower(hardwareMap);
        follower.setMaxPower(0.65);
        myFirstPath.moveToAutoLine1(follower);
    }

    @Override
    public void loop() {
        follower.update();
        switch(pathState) {
            case 0:
                if (!follower.isBusy()) {
                    pathState = 1;
                    mySecondPath.moveToAutoLine2(follower);
                }
            case 1:
                if (!follower.isBusy()) {
                    System.out.println("Finished");
                }
        }
//        switch(pathState) {
//            case 0:
//                if (!follower.isBusy()) {
//                    mySecondPath.moveToAutoLine2(follower);
//                    pathState = 1;
//                }
//            case 1:
//                if (!follower.isBusy()) {
//                    pathState = 2;
//                }
//            case 2:
//                // set path 3
//                // as if busy, if not, set path 4 and so on.
//                System.out.print("we're at the end");
//
//        }



        follower.telemetryDebug(telemetry);
    }
}